Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_RT_Stub_Factory Class Reference

`#include <RT_Stub_Factory.h>`

Inheritance diagram for TAO_RT_Stub_Factory:

[legend]
Collaboration diagram for TAO_RT_Stub_Factory:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_RT_Stub_Factory (void)
virtual TAO_Stub * | create_stub (const char *repository_id, const TAO_MProfile &profiles, TAO_ORB_Core *orb_core ACE_ENV_ARG_DECL)
| Creates a Stub Object.

## Detailed Description

This class is a factory whose product is the TAO_RT_Stub used by TAO. This factory, or one of its subclasses is dynamically plugged into the ORB_Core, and is used by the ORB_Core to create Stub Objects.

## Constructor & Destructor Documentation

TAO_RT_Stub_Factory::~TAO_RT_Stub_Factory | ( | void |  | ) | `[virtual]`

## Member Function Documentation

TAO_Stub * TAO_RT_Stub_Factory::create_stub | ( | const char * | repository_id,
|  | const TAO_MProfile & | profiles,
|  | TAO_ORB_Core *orb_core | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Creates a Stub Object. Implements TAO_Stub_Factory.

The documentation for this class was generated from the following files:

- RT_Stub_Factory.h
- RT_Stub_Factory.cpp